GET /v3/publishing-events/{publishing_event_id}
1 min
GET
https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}
Path Parameters
- publishing_event_idstringrequiredExampleDescription
Responses
200
- PublishingEventResponse
- idstringrequiredExampleDescription
- assetsPublishingEventAssets[]requiredDescription
- idstringrequiredExampleDescription
- typestringrequiredExampleDescription
- publishing_metadataobject[]requiredDescription
- idstringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- linksobjectrequiredDescription
- selfstringrequiredExampleDescription
- publishing_metadatastringrequiredExampleDescription
- progress_updatesstringrequiredExampleDescription
400
- ErrorExample
{ "message": "Unsupported arguments: a,b,c" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
401
- ErrorExample
{ "message": "Unauthorized" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
403
- ErrorExample
{ "message": "You do not have the permission to perform this operation" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
404
- ErrorExample
{ "message": "Resource not found" }Description- messagestringrequiredExampleDescription
- errorsmap<string, string>Description
curl
curl --request GET \
--url https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.cmp.optimizely.com/v3/publishing-events/{publishing_event_id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Fetched publishing event
{
"id": "5d7f910551b00a722e0418830cee5534",
"assets": [
{
"id": "5d7f910551b00a722e0418830cee2212",
"type": "article",
"publishing_metadata": [
{
"id": "5e46745616s564s4564964",
"links": {
"self": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/assets/5d7f910551b00a722e0418830cee2212/publishing-metadata/5e46745616s564s4564964"
}
}
],
"links": {
"self": "https://api.cmp.optimizely.com/v3/articles/5d7f910551b00a722e0418830cee2212"
}
}
],
"links": {
"self": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee2212",
"publishing_metadata": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/publishing-metadata",
"progress_updates": "https://api.cmp.optimizely.com/v3/publishing-events/5d7f910551b00a722e0418830cee5534/progress-updates"
}
}400
// Client error
{
"message": "Not found",
"errors": ""
}401
// Authorization error
{
"message": "Not found",
"errors": ""
}403
// Permission error
{
"message": "Not found",
"errors": ""
}404
// Not found error
{
"message": "Not found",
"errors": ""
}